From 880d1f86e56da711cbf288cee49f19c7b8dc1484 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 01 2020 05:56:02 +0000
Subject: [PATCH 1146/2232] Handle Api::Include as part of root namespace contents


---

diff --git a/gen/src/write.rs b/gen/src/write.rs
index 9696a49..095b2c2 100644
--- a/gen/src/write.rs
+++ b/gen/src/write.rs
@@ -20,11 +20,6 @@ pub(super) fn gen<'a>(apis: &[Api], types: &'a Types, opt: &Opt, header: bool) -
 
     pick_includes_and_builtins(out, apis);
     out.include.extend(&opt.include);
-    for api in apis {
-        if let Api::Include(include) = api {
-            out.include.insert(include);
-        }
-    }
 
     let apis_by_namespace = NamespaceEntries::new(apis);
 
@@ -48,6 +43,7 @@ fn gen_namespace_forward_declarations(out: &mut OutFile, ns_entries: &NamespaceE
     out.next_section();
     for api in apis {
         match api {
+            Api::Include(include) => out.include.insert(include),
             Api::Struct(strct) => write_struct_decl(out, &strct.ident.cxx.ident),
             Api::CxxType(ety) => write_struct_using(out, &ety.ident.cxx),
             Api::RustType(ety) => write_struct_decl(out, &ety.ident.cxx.ident),

